Linux Users

Reply
This is an open group. Sign in and click the "Join Group" button to become a group member and start posting.
Highlighted

NI-VISA on 64-bit Linux

Hi,

 

When installing NI-VISA 16 on CentOS 7, I noticed the following sentence under the "description" tab of the download page:

 

"Currently, only 32-bit applications are supported on the x86-64 architecture".

 

Could someone clarify what this means exactly? ie. Should I expect the driver to work on a 64-bit version of Linux? 

 

Thanks.

0 Kudos
Message 1 of 16
(14,729 Views)
15 REPLIES 15

Re: NI-VISA on 64-bit Linux

Hi, that's a typo :-\

 

NI-VISA 15.0 added 64-bit application support to Linux, so you should expect both the kernel components and user libraries to support 64-bit applications.

 

NI-VISA 16.0 for Linux readme :: NEW FEATURES AND IMPROVEMENTS

http://download.ni.com/support/softlib//visa/NI-VISA/16.0/Linux/README.txt

Joe Friedchicken
NI Modular Instruments Application Software
Get with your fellow OS users
[ Linux ] [ macOS ]
Principal Software Engineer :: Modular Instruments Application Software
Senior Software Engineer :: Multifunction Instruments Applications Group (until May 2016)
Software Engineer :: Measurements RLP Group (until Mar 2014)
Applications Engineer :: High Speed Product Group (until Sep 2008)
0 Kudos
Message 2 of 16
(14,716 Views)

Re: NI-VISA on 64-bit Linux

OK. Thanks for the clarification.

0 Kudos
Message 3 of 16
(14,708 Views)

Re: NI-VISA on 64-bit Linux


NI-VISA 15.0 added 64-bit application support to Linux, so you should expect both the kernel components and user libraries to support 64-bit applications. 


Still seems to require the proprietary / binary-only kernel module (!).

Therefore inherently unstable and not usable for any production systems.

 

I really wonder what's the big "business secret" in there, so you seriously demand your customers to compromise their systems with that. Just talking to some card seriously can't be such an genious act that nobody may know about. The competitors will find out anyways. In the end it's just kicking the own customers in the face. 

 

Linux Embedded / Kernel Hacker / BSP / Driver development / Systems engineering
Message 4 of 16
(14,628 Views)

Re: NI-VISA on 64-bit Linux

Is there anything special which needs to be done for installation on a 64-bit system? I'm trying to install in in Red Hat and am getting:

 

...
Pre Installation .
Post Installation .
Pre Installation ...................................
error: Failed dependencies:
      libstdc++.so.6 is needed by ni-pal-16.0.0.49153-0+f1.i386
      libstdc++.so.6 is needed by niorbki-14.1.1-f0.x86_64
Error installing NI-VISA for Linux 16.0.0f0.

Installer is aborted

I have libstdc++.so.6 in /usr/lib64 and I tried putting the path in PATH and LD_LIBRARY_PATH with the same result. So, I is the installer is looking for the 32-bit version?

 

Thanks

Blair

0 Kudos
Message 5 of 16
(14,598 Views)

Re: NI-VISA on 64-bit Linux

Seems you need the 32bit glibc. Look for an i386 package that provides  libstdc++.so.6.

 

NI folks could have done it right and just provide proper yum repos instead of such silly installer scripts that drive the low-level end of rpm by foot - then yum would resolve the dependencies automatically. Seems they still didn't understand what a package manager is for (yes, it's around for just 20yrs - far too new for old dinosaurs to keep up) Smiley Surprised

Linux Embedded / Kernel Hacker / BSP / Driver development / Systems engineering
0 Kudos
Message 6 of 16
(14,584 Views)

Re: NI-VISA on 64-bit Linux

Hi,

 

  I'm using the IO Trace that is included in NI-VISA 17.0 on CentOS 7 (64-bit).

  The IO Trace is not capturing anything ; I'm running custom 64-bit apps.

 

  Interactive Control does output some GPIB command in IO Trace.

 

  Anyone had success running IO Trace for 64-bit apps on CentOS 7 (64-bit) ?

 

  Thx.

0 Kudos
Message 7 of 16
(8,718 Views)

Re: NI-VISA on 64-bit Linux

Hi dNUX,

 

What NI Software have you installed? From your post, I am assuming that you have installed NI-VISA 17.0 along with the IO Trace that came with it. Please post the output of:

rpm -qa 'ni*'

 

Also, what API is your application using? IO Trace has an option to select which API's to log in 'Tools >> Options >> View Selection'. Check that the API you are trying to log is listed there and enabled.

0 Kudos
Message 8 of 16
(8,698 Views)

Re: NI-VISA on 64-bit Linux

Hello, 

 

 

What about super user permissions??

0 Kudos
Message 9 of 16
(8,696 Views)

Re: NI-VISA on 64-bit Linux

Hello,

 

I have the same problem as BlairFonville above. I'm trying to install on CentOS 7 and I get the error

 

Pre Installation ..............................................................................
error: Failed dependencies:
libstdc++.so.6 is needed by ni-pal-17.0.0.49152-0+f0.i386
libstdc++.so.6 is needed by ni-orb-nikalmod-17.0.0.49152-0+f0.x86_64
Error installing NI-VISA for Linux 17.0.0f1.

 

As metux pointed out, I guess I need an i386 package that provides  libstdc++.so.6. But how do I get this package?

 

Many thanks,

Will

0 Kudos
Message 10 of 16
(8,297 Views)
Reply
This is an open group. Sign in and click the "Join Group" button to become a group member and start posting.